.nav[data-class="nav"]{
  width: 100%;
  height: 60px;
  background-color: #FFFFFF;
  
  position: sticky;
  top: 0; /* 触发吸顶的位置 */
  z-index: 9999; /* 确保在其他内容上方 */
  background: white; /* 防止内容穿透 */
}


.nav[data-class="nav"] a {
  text-decoration: none;
  position: relative;
}

.nav[data-class="nav"]>.nav-box{
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
}

/* 左侧logo */
.nav[data-class="nav"]>.nav-box>.nav_logo{
  width: 137px;
  height: 32px;
  margin-left: 32px;
  margin-right: 80px;
}

.nav[data-class="nav"]>.nav-box>.nav_logo>img{
  width: 137px;
  height: 32px;
}

/* 中间导航 */
.nav[data-class="nav"] .nav_content{
  width: calc(100% - 285px);
  display: flex;
  height: 100%;
}
.nav[data-class="nav"] .nav_content>ul{
  display: flex;
  width: 100%;
  height: 100%;
}

.nav[data-class="nav"] .nav_content>ul>li{
 padding: 0 16px;
 list-style: none;
 height: 100%;
 line-height: 60px;
}

.nav[data-class="nav"] .nav_content>ul>li:hover{
  height: calc(100% - 2px) !important;
  line-height: 60px !important;
  border-bottom: 2px solid #1BD1BB;
}

.nav[data-class="nav"] .nav_content>ul>li:hover>a{
  font-weight: 900;
}

.nav[data-class="nav"] .nav_content>ul>li>a{
  color: #1d2129;
  font-family: "OPPOSans";
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 100%;
 }

 .nav[data-class="nav"] .nav_item_menu_img{
  width: 12px;
  height: 12px;
 }



 .nav[data-class="nav"] .nav_item_menu{
  display: none;
  position: absolute;
  left: 0px;
  height: 428px;
  width: 100%;
 }



 .nav[data-class="nav"] .popup-left{
  width: 320px;
  padding: 40px 20px;
  background-color: #F5F7FC;
  background-position: 177px 247px;
    background-size: 170px 170px;
    background-repeat: no-repeat;
 }

 .nav[data-class="nav"] .popup-list{
  overflow: auto;
  height: calc(100% - 80px);
  padding: 40px 20px;
  display: flex;
  flex-wrap: wrap;
  flex: 1;
  background-color: #fff;
 }

 .nav[data-class="nav"] .popup-item{
  width: 380px;
  height: 76px;
  padding: 20px;
  overflow: hidden;
  margin-right: 40px;
 }

 .nav[data-class="nav"] .popup-left-title{
  color: #1d2129;
  font-family: "OPPOSans";
  font-size: 24px;
  font-style: normal;
  font-weight: 500;
 }

 .nav[data-class="nav"] .popup-left-desc{
  align-self: stretch;
  color: #1d2129;
  font-family: "OPPOSans";
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
 }


 .nav[data-class="nav"] .popup-item-title{
  align-self: stretch;
  color: #1d2129;
  font-family: "OPPOSans";
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: 24px;
 }

 .nav[data-class="nav"] .popup-item-desc{
  align-self: stretch;
  color: #4e5969;
  font-family: "OPPOSans";
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
  margin-top: 10px;

  display: -webkit-box;        /* 旧版弹性盒子模型（必需） */
  -webkit-line-clamp: 2;       /* 限制显示行数 */
  -webkit-box-orient: vertical; /* 文本垂直排列 */
  overflow: hidden;            /* 隐藏溢出内容 */
  text-overflow: ellipsis;     /* 超出时显示省略号 */
 }

 .nav[data-class="nav"] .popup-item:hover{
  background-color: #F5F7FC;
 }

  .nav[data-class="nav"] .popup-item:hover .popup-item-title{
  color: #1BD1BB;
 }

 .nav[data-class="nav"] .cur{
  height: calc(100% - 2px) !important;
  line-height: 60px !important;
  border-bottom: 2px solid #1BD1BB;
 }

 .nav[data-class="nav"] .cur>{
  font-weight: 900;
 }

/* 右侧按钮 */
.nav[data-class="nav"] .nav_item_btn{
  width: 136px;
  height: 60px;
  background-color: #1BD1BB;
  color: #FFFFFF;
  font-family: "OPPOSans";
  border: none;
}

.nav[data-class="nav"] .nav_item_btn>a{
  color: #FFFFFF;
  font-family: "OPPOSans";
  font-size: 14px;
}

.nav[data-class="nav"] .nav_item_menu{
  display: none;
  position: absolute;
  left: 0px;
  height: 428px;
  width: 100%;
  box-shadow: 0px 10px 13px 0px #00000021;
 }


.navCase{
  display: none;
  position: absolute;
  left: 0px;
  height: 460px;
  width: 100%;
  background-color: #fff;
  box-shadow: 0px 10px 13px 0px #00000021;
}

.navCase-left{
  width: 250px;
  padding: 40px;
}

.navCase-left-item{
  line-height: 28px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 16px;
    cursor: pointer;
}

.navCase-left-item>div{
  color: #1d2129;
  font-family: "OPPOSans";
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: 28px;
}

.navCase-left-item>img{
  width: 20px;
  height: 20px;
}

.navCase-rigth{
  flex: 1;
}

.nav[data-class="nav"] .nav_content>ul>li:hover > .nav_item_menu{
  display: flex;
  cursor: pointer;
 }

 .nav[data-class="nav"] .nav_content>ul>li:hover > .navCase{
  display: flex;
  
 }

 .nav[data-class="nav"] .navCase-rigth-column{
  display: none;
  height: 100%;
 }

 .nav[data-class="nav"] .navCase-rigth-column  .column-item-list{
  display: flex;
  width: 1280px;
  max-height: 77%;
  overflow: auto;
  flex-wrap: wrap;
 }

 .nav[data-class="nav"] .navCase-rigth-column  .column-item-list .rigth-column-item{
  width: 280px;
  margin-bottom: 24px;
 }

 .nav[data-class="nav"] .navCase-rigth-column  .column-item-list .rigth-column-item > a{
  align-self: stretch;
  color: #4e5969;
  font-family: "OPPOSans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  /* line-height: 24px; */
  padding-left: 15px;
  height: 100%;
  width: 100%;
  display: block;
 }

 .nav[data-class="nav"] .navCase-rigth-column-title{
  align-self: stretch;
  color: #1d2129;
  font-family: "OPPOSans";
  font-size: 24px;
  font-style: normal;
  font-weight: 500;
  line-height: 32px;
  margin-top: 40px;
 }

 .nav[data-class="nav"] .left-item-active>div{
  color: #1bd1bb;
 }

 .menu-btn{
  display: none;
 }

 .mini_nav_content{
  display: none;
 }

 .rigth-column-item:hover > a{
  font-weight: 900;
 }

 /* .nav[data-class="nav"] .navCase-rigth-column .column-item-list .rigth-column-item>a:hover{
  font-weight: 900;
  color: #1BD1BB;
 } */

 .nav[data-class="nav"] .navCase-rigth-column .column-item-list .rigth-column-item:hover{
  background-color: #F5F7FC;
 }

 .nav[data-class="nav"] .navCase-rigth-column .column-item-list .rigth-column-item:hover > a{
  color: #1BD1BB;
  
  /* line-height: initial; */

 }

 /* 768以下 */
 @media (max-width: 768px) {
  .nav_content{
    display: none !important;
  }

  .nav_item_btn{
    display: none !important;
  }

  .nav[data-class="nav"]>.nav-box>.nav_logo {
    width: 103px;
    height: 24px;
    margin-left: 16px;
    margin-right: 80px;
}

  .nav[data-class="nav"]>.nav-box>.nav_logo>img {
    width: 103px;
    height: 24px;
}

  .nav[data-class="nav"]>.nav-box {
    justify-content: space-between;
  }

  .menu-btn{
    display: block;
    padding: 12px 16px;
   }
   

   .menu-btn>img{
    width: 24px;
    height: 24px;
   }

   .mini_nav_content{
    position: absolute;
    left: 0;
    top: 60px;
    width: calc(100% - 48px);
    background-color: #fff;
    padding: 12px 24px;
   }

   .nav[data-class="nav"] .nav_item_menu {
    display: none;
    position: absolute;
    top: 114px;
    background-color: #fff;
    box-shadow: 0 20px 20px 0 #0000001a;
    padding-bottom: 30px;
  }

  .nav[data-class="nav"] .popup-left {
    display: none;
  }

  .nav_item{
    list-style: none;
    width: 50%;
    cursor: pointer;
  }

  .nav_item>a{
    color: #1d2129;
    font-family: "OPPOSans";
    font-size: 16px;
  }

  .mini_nav_content > ul{
    display: flex;
    flex-wrap: wrap;
  }

  .mini_nav_content > ul > li > .nav_item_menu{
    
  }

  .nav[data-class="nav"] .popup-list{
    padding: 16px 0;
  }

  .nav[data-class="nav"] .popup-item{
    width: calc(100% - 86px);
    margin: 0 auto;
  }

  .navCase-left {
    width: calc(40% - 48px);
    padding: 40px 24px;
  }

  .nav[data-class="nav"] .navCase-rigth-column .column-item-list {
    width: initial;
    flex-direction: column;
}

.nav[data-class="nav"] .navCase-rigth-column .column-item-list .rigth-column-item{
  width: initial; 
    margin: 12px 0;
}
}